package com.fs.ad.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.ad.mapper.BdCreativeStatisticsMapper;
import com.fs.ad.domain.BdCreativeStatistics;
import com.fs.ad.service.IBdCreativeStatisticsService;

/**
 * 百度创意统计Service业务层处理
 * 
 * @author fs
 * @date 2025-03-14
 */
@Service
public class BdCreativeStatisticsServiceImpl extends ServiceImpl<BdCreativeStatisticsMapper, BdCreativeStatistics> implements IBdCreativeStatisticsService {

    /**
     * 查询百度创意统计
     * 
     * @param id 百度创意统计主键
     * @return 百度创意统计
     */
    @Override
    public BdCreativeStatistics selectBdCreativeStatisticsById(Long id)
    {
        return baseMapper.selectBdCreativeStatisticsById(id);
    }

    /**
     * 查询百度创意统计列表
     * 
     * @param bdCreativeStatistics 百度创意统计
     * @return 百度创意统计
     */
    @Override
    public List<BdCreativeStatistics> selectBdCreativeStatisticsList(BdCreativeStatistics bdCreativeStatistics)
    {
        return baseMapper.selectBdCreativeStatisticsList(bdCreativeStatistics);
    }

    /**
     * 新增百度创意统计
     * 
     * @param bdCreativeStatistics 百度创意统计
     * @return 结果
     */
    @Override
    public int insertBdCreativeStatistics(BdCreativeStatistics bdCreativeStatistics)
    {
        return baseMapper.insertBdCreativeStatistics(bdCreativeStatistics);
    }

    /**
     * 修改百度创意统计
     * 
     * @param bdCreativeStatistics 百度创意统计
     * @return 结果
     */
    @Override
    public int updateBdCreativeStatistics(BdCreativeStatistics bdCreativeStatistics)
    {
        return baseMapper.updateBdCreativeStatistics(bdCreativeStatistics);
    }

    /**
     * 批量删除百度创意统计
     * 
     * @param ids 需要删除的百度创意统计主键
     * @return 结果
     */
    @Override
    public int deleteBdCreativeStatisticsByIds(Long[] ids)
    {
        return baseMapper.deleteBdCreativeStatisticsByIds(ids);
    }

    /**
     * 删除百度创意统计信息
     * 
     * @param id 百度创意统计主键
     * @return 结果
     */
    @Override
    public int deleteBdCreativeStatisticsById(Long id)
    {
        return baseMapper.deleteBdCreativeStatisticsById(id);
    }
}
